Bug 1155071 (CVE-2014-3710) - CVE-2014-3710 file: out-of-bounds read in elf note headers
Summary: CVE-2014-3710 file: out-of-bounds read in elf note headers
Status: CLOSED ERRATA
Alias: CVE-2014-3710
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141022,repor...
Keywords: Security
Depends On: 1155464 1155465 1155930 1155931 1155937 1155939 1155940 1155941 1155943 1238984 1238985 1284826
Blocks: 1149858 1155074 1210268 1278736
TreeView+ depends on / blocked
 
Reported: 2014-10-21 10:51 UTC by Francisco Alonso
Modified: 2016-05-11 06:49 UTC (History)
8 users (show)

Fixed In Version: php 5.4.35, php 5.5.19, php 5.6.3, file 5.22
Doc Type: Bug Fix
Doc Text:
An out-of-bounds read flaw was found in the way the File Information (fileinfo) extension parsed Executable and Linkable Format (ELF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted ELF file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-11 06:49:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1765 normal SHIPPED_LIVE Important: php54-php security update 2014-10-30 23:45:24 UTC
Red Hat Product Errata RHSA-2014:1766 normal SHIPPED_LIVE Important: php55-php security update 2014-10-30 23:45:12 UTC
Red Hat Product Errata RHSA-2014:1767 normal SHIPPED_LIVE Important: php security update 2014-10-31 00:16:02 UTC
Red Hat Product Errata RHSA-2014:1768 normal SHIPPED_LIVE Important: php53 security update 2014-10-30 23:44:46 UTC
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC
Red Hat Product Errata RHSA-2016:0760 normal SHIPPED_LIVE Moderate: file security, bug fix, and enhancement update 2016-05-10 22:32:51 UTC
PHP Bug Tracker 68283 None None None Never

Description Francisco Alonso 2014-10-21 10:51:30 UTC
An out-of-bounds read flaw was found in file's donote() function in the way the file utility determined the note headers of a elf file. This could possibly lead to file executable crash.

Upstream fix:

https://github.com/file/file/commit/39c7ac1106be844a5296d3eb5971946cc09ffda0

Comment 2 Francisco Alonso 2014-10-22 07:57:16 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1155465]

Comment 3 Francisco Alonso 2014-10-22 07:57:19 UTC
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1155464]

Comment 4 Tomas Hoger 2014-10-23 08:04:36 UTC
PHP upstream bug:

https://bugs.php.net/bug.php?id=68283

PHP upstream commit (PHP 5.4 branch for now):

http://git.php.net/?p=php-src.git;a=commitdiff;h=1803228

Comment 8 Fedora Update System 2014-10-29 11:04:05 UTC
file-5.19-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Tomas Hoger 2014-10-30 09:36:15 UTC
Acknowledgment:

Name: Francisco Alonso (Red Hat Product Security)

Comment 10 Martin Prpič 2014-10-30 11:12:40 UTC
IssueDescription:

An out-of-bounds read flaw was found in the way the File Information (fileinfo) extension parsed Executable and Linkable Format (ELF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted ELF file.

Comment 11 errata-xmlrpc 2014-10-30 19:45:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1768 https://rhn.redhat.com/errata/RHSA-2014-1768.html

Comment 12 errata-xmlrpc 2014-10-30 19:47:12 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1766 https://rhn.redhat.com/errata/RHSA-2014-1766.html

Comment 13 errata-xmlrpc 2014-10-30 19:49:43 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1765 https://rhn.redhat.com/errata/RHSA-2014-1765.html

Comment 14 errata-xmlrpc 2014-10-30 20:16:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:1767 https://rhn.redhat.com/errata/RHSA-2014-1767.html

Comment 15 Fedora Update System 2014-11-10 06:44:42 UTC
file-5.19-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 errata-xmlrpc 2015-11-19 08:09:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2155 https://rhn.redhat.com/errata/RHSA-2015-2155.html

Comment 21 errata-xmlrpc 2016-05-10 19:47:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0760 https://rhn.redhat.com/errata/RHSA-2016-0760.html


Note You need to log in before you can comment on or make changes to this bug.